| Earth Observation Mission CFI Software Lib Software User Manual |

Public Member Functions | Public Attributes

# EECFI::AeolusObt Class Reference

Base class for AeolusObt objects. More...

Inheritance diagram for EECFI::AeolusObt:

List of all members.

## Public Member Functions
| AeolusObt (long deltaSeconds, unsigned long cucSec, unsigned long cucSubsec)
| Class constructor.
| AeolusObt (long deltaSeconds)
| Class constructor.
| ~AeolusObt ()
| Class destructor.
void | setObt (const Time &time) throw (CfiError)
| set On-Board Time from a time in processing format.
Time | getTime () throw (CfiError)
| Get UTC time from an OBT time.
## Public Attributes
long | deltaSeconds
| Aeolus OBT parameters.
unsigned long | cucSec
| Aeolus OBT values: CCSDS Unsegmented Time Code (seconds).
unsigned long | cucSubsec
| Aeolus OBT values: CCSDS Unsegmented Time Code (subseconds).

## Detailed Description

Base class for AeolusObt objects.

## Constructor & Destructor Documentation

EECFI::AeolusObt::AeolusObt | ( | long | deltaSeconds,
|  | unsigned long | cucSec,
|  | unsigned long | cucSubsec |
| ) |  |  |

Class constructor.

Class constructor (Empty constructor). Class constructor.

Parameters:

  | deltaSeconds | .
  | cucSec | .
  | cucSubsec | .

EECFI::AeolusObt::AeolusObt | ( | long | deltaSeconds | ) |

Class constructor.

Class constructor.

Parameters:

  | deltaSeconds | .

EECFI::AeolusObt::~AeolusObt | ( |  | ) | `[inline]`

Class destructor.

## Member Function Documentation

Time EECFI::AeolusObt::getTime | ( |  | ) | throw (CfiError)`[virtual]`

Get UTC time from an OBT time.

Implements EECFI::ObtTime.

References cucSec, cucSubsec, deltaSeconds, and EECFI::CfiClass::throwWarn.

void EECFI::AeolusObt::setObt | ( | const Time & | time | ) | throw (CfiError)`[virtual]`

set On-Board Time from a time in processing format.

Class destructor.

Parameters:

  | time | input Time.

Implements EECFI::ObtTime.

References EECFI::CfiError::addMsg(), EECFI::Time::change(), EECFI::Time::format, and EECFI::Time::time.

## Member Data Documentation

unsigned long EECFI::AeolusObt::cucSec

Aeolus OBT values: CCSDS Unsegmented Time Code (seconds).

Referenced by getTime().

unsigned long EECFI::AeolusObt::cucSubsec

Aeolus OBT values: CCSDS Unsegmented Time Code (subseconds).

Referenced by getTime().

long EECFI::AeolusObt::deltaSeconds

Aeolus OBT parameters.

Referenced by getTime().